Zum Inhalt springen
meniodevelopermenio DashboardVorschau

POST sortiments/{qnipsSortimentId}/article} · POS API

POST sortiments/{qnipsSortimentId}/article}

POS API v3sortiments
POST/sortips/{qnipsSortimentId}/article/{PLU}?groupId={groupId}

Parameter

qnipsSortimentIdstringErforderlich

this is the qnipsSortimentId' returned by the call to GET sortiments?thirdPartySortimentIdentifier={string1}&name={string2}`.

Beispiel: 'sortiment123'

Request-Header

DevKey
{Your Key}
TrackingUnitId
{trackingUnitId}
Originaler Blueprint-Ausschnitt
API Blueprint
### POST sortiments/{qnipsSortimentId}/article} [POST]
+ Parameters
    + qnipsSortimentId (string, `'sortiment123'`) ... this is the `qnipsSortimentId' returned by the call to `GET sortiments?thirdPartySortimentIdentifier={string1}&name={string2}`. 

+ Request

    + Headers

            DevKey: {Your Key}
            TrackingUnitId: {trackingUnitId}
    
    + Body

            {
               "PLU": "123."
               "Name": [{ "lang": "de-DE", "val": "Bier 0.5L" }
               "GroupId": "234",
               "Rateable":true,
               "ExternalName": [{ "lang": "de-DE", "val": "Bier vom Fass 0.5L" }],
               "Description": [{ "lang": "de-DE", "val": "Frisch gezapft" }]
               "Ingredients": [{ "lang": "de-DE", "val": "Malz, Hopfen, Wasser" }],
               "SoldOut":false,
               "PictureUrl": "http://..."
               "Prices":[
                  {
                     "Value":9.95,
                     "CurrencyIso": "EUR",
                     "Tag":{
                        "Name":[
                           {
                              "long": "de-DE",
                              "val": "Mitarbeiter"
                           }
                        ]
                     }
                  },
                  {
                     "Value":8.95,
                     "CurrencyIso": "EUR",
                     "Tag":{
                        "Name":[
                           {
                              "lang": "de-DE",
                              "val": "Studenten"
                           }
                        ]
                     }
                  }
               ],
               "Allergen": [1, 5, 11],
               "Traces": [2, 4],
               "Additives": [1, 8],
               "Tags":[
                  "Vegan."
                  "frisch gezapft"
               ],
               "WeightInGrams":125.0,
               "NutritionFacts":{
                  "Fats":20,
                  "Carbs":20,
                  "Protein":20,
                  "KJoule":200,
                  "KCal":200
               }
            }


+ response 200

+ response 500

        // HTTP-InternalServerError: An unknown problem occurred during processing
        {
            "ErrorMessage": "some explanation"
            "StackTrace": "text"
        }

+ response 403

        // HTTP-Forbidden: trackingUnitId is not yet activated by the merchant
            
+ Response 401

        // HTTP-Unauthorized: DevKey or trackingUnitId not specified or not available
            
+ response 400

        {
            "ErrorId":123,
            "ErrorText": "Details of the error"
        }
        
        // here all possible error codes incl. texts for this resource
        // 1000: Body contains syntactical errors and cannot be deserialized
        // 12001: qnips sortimentId unknown
        // 12003: No product group found under the specified UpGroupId
        // 12005: Name was not specified, but is expected in at least one language
        // 12008: PLU field not set
        // 12009: An article with the specified PLU already exists in the specified product group